Spring Global, part of PostNL, offers cross-border international shipping services and support for dangerous goods shipping when shipping from Great Britain and most EU countries.
This guide provides developers with the details needed to build Spring Global shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your account in ShipStation API |
api_key | string | required | Your Spring Global account API key |
You can connect a Spring Global account using the POST method to the /v1/connections/carriers/ endpoint. Currently, you cannot connect a Spring Global account via the ShipStation API Dashboard.
carrier_name: spring_global
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/spring_global HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Spring Global account",
"api_key": "123456789"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Spring Global does not send estimated rates to ShipStation API. Your Spring Global account contact can provide you with the details about your contracted rates.
Available Spring Global services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code | Ship From Countries | Ship To Countries |
|---|---|---|---|
| Untracked | spring_global_untr | UK, FR, DE, ES, NL | Worldwide |
| Tracked | spring_global_trck | UK, FR, DE, ES, NL | Worldwide |
| Signature | spring_global_sign | FR, DE, ES, NL | Worldwide |
| Spring Collect | spring_global_cllct | UK & EU | Worldwide |
Spring Global supports the following return services:
| Service | API Code |
|---|---|
| BACK | spring_global_back |
Spring Global's BACK service is available across Europe but is unavailable in the UK.
The following carrier package types are available for Spring Global services:
| Name | API Code | Package Attributes |
|---|---|---|
| Spring Global Package | spring_global_package | International |
Adding carrier insurance is not supported for this carrier.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
Spring Global does not currently support label messages.
Spring Global does not support multi-package shipments.
You can void Spring Global labels via ShipStation API.
See our Void a Label page for details about voiding labels with ShipStation API.
Spring Global does not support paperless Labels.
Customs declarations for Spring Global shipments are submitted electronically when you send your label request.
NOTE: Action Required: New Zealand Border Levy Changes
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged per consignment, not per item.
See the Shipping to New Zealand: Low Value Goods (LVG) Levy section in International Shipments for full details.
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | Default value. Only the "Signature" service allows another confirmation type. |
| Personal Delivery | signature | Available only to the "Signature" service class. |
See our Delivery Confirmation page for more details about using the confirmation property.
Spring Global supports certain advanced options, which you can add to the shipment object when creating a shipment or label.
| Option | Type | Default Value | Description |
|---|---|---|---|
delivered_duty_paid | string | null | Bills any applicable duties and taxes to the sender of the shipment (DDP). |
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Spring Global does not support creating manifests with ShipStation API.
Spring Global does not support scheduling a pickup using ShipStation API.
The Spring Collect service allows shipping to a service point.
See our Intro to Service Points for more details about how to use service points with ShipStation API.
ShipStation API's integration with Spring Global supports receiving tracking updates for the Tracked, Signature, and Spring Collect services. Review our Track a Package guides for details on tracking with the ShipStation API.
Please note the "Untracked" service class does not support tracking.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.